Content analytics

Posts gaining far faster than their own normal pace right now

GET/api/public/v1/content/breakout_posts
LiveAnswers from your brand's records now.

Operation id getContentBreakoutPosts

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/breakout_posts" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter
min_ratioquerynumber
limitqueryinteger

Responses

200Success

FieldTypeNotes
dataobject
data.postsarray of object
data.posts[].[].avatar_urlstring, nullable
data.posts[].[].creator_namestring, nullable
data.posts[].[].gain_24hinteger
data.posts[].[].lifetime_totalinteger
data.posts[].[].pacenumber
data.posts[].[].pace_rationumber
data.posts[].[].platformstring
data.posts[].[].post_urlstring, nullable
data.posts[].[].social_post_idstring
data.posts[].[].sparklinearray of integer
data.posts[].[].thumbnail_urlstring, nullable
data.posts[].[].user_idinteger, nullable
data.posts[].[].usernamestring, nullable
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "posts": [
      {
        "avatar_url": "https://example.com/p/1",
        "creator_name": "Example name",
        "gain_24h": 3,
        "lifetime_total": 3,
        "pace": 125.5,
        "pace_ratio": 125.5,
        "platform": "string",
        "post_url": "https://example.com/p/1",
        "social_post_id": "string",
        "sparkline": [
          3
        ],
        "thumbnail_url": "https://example.com/p/1",
        "user_id": 1024,
        "username": "Example name"
      }
    ]
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.